%define name	ungifsicle
%define	version 1.42
%define release	%mkrel 3

Summary: 	Powerful program for manipulating GIF images and animations
Name: 		%{name}
Version: 	%{version}
Release:	%{release}
Group: 		Graphics
License: 	GPL
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://www.lcdf.org/gifsicle
BuildRoot: 	%_tmppath/%name-buildroot

BuildRequires: X11-devel

%description
Gifsicle manipulates GIF image files on the
command line. It supports merging several GIFs
into a GIF animation; exploding an animation into
its component frames; changing individual frames
in an animation; turning interlacing on and off;
adding transparency; adding delays, disposals, and
looping to animations; adding or removing
comments; optimizing animations for space; and
changing images' colormaps, among other things.

The gifsicle package contains two other programs:
gifview, a lightweight GIF viewer for X, can show
animations as slideshows or in real time, and
gifdiff compares two GIFs for identical visual
appearance.

Those programs don't use LZW compression
to avoid patent problems

%prep
%__rm -rf $RPM_BUILD_ROOT

%setup -q
touch `find . -type f`

%build
%configure --enable-ungif
%make

%install
%makeinstall
%__mkdir_p $RPM_BUILD_ROOT/%{_prefix}/X11R6/bin $RPM_BUILD_ROOT/%{_prefix}/X11R6/man/man1
%__mv  $RPM_BUILD_ROOT/%{_bindir}/gifview $RPM_BUILD_ROOT/%{_prefix}/X11R6/bin
%__mv  $RPM_BUILD_ROOT/%{_mandir}/man1/gifview.1 $RPM_BUILD_ROOT/%{_prefix}/X11R6/man/man1

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc NEWS README
%attr (0755,root,root) %_bindir/*
%attr (0644,root,root) %_mandir/man1/*
%attr (0755,root,root) %_prefix/X11R6/bin/*
%attr (0644,root,root) %_prefix/X11R6/man/man1/*



%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.42-3mdv2009.0
+ Revision: 255146
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.42-1mdv2008.1
+ Revision: 128749
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- use %%mkrel
- import ungifsicle


* Tue Apr 26 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.42-1mdk
- 1.42

* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.35-3mdk
- rebuild

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.35-2mdk
- rebuild

* Thu Oct 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.35-1mdk
- 1.35

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.30-1mdk
- 1.30

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.25-1mdk
- added in contribs by Pierre-Michel THEVENY <pmt@mnhn.fr> :
	- Ported to Mandrake from rpm.spec in sources tarball
	- Build on Mandrake 8.0 (rpm-4.0)
